'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-ebc88dfa.js');

const bcdRatingCss = ":host{display:-ms-inline-flexbox;display:inline-flex;--bcd-rating-margin-left:2px;--bcd-rating-border-color:black;--bcd-rating-background-fill-color:black;--bcd-rating-background-empty-color:white;--bcd-rating-size:15px;--bcd-rating-border-radius:50%;--bcd-rating-border-width:2px;--bcd-rating-border-type:solid}.portion{border:var(--bcd-rating-border-width) var(--bcd-rating-border-type) var(--bcd-rating-border-color);background-color:var(--bcd-rating-background-empty-color);width:var(--bcd-rating-size);height:var(--bcd-rating-size);border-radius:var(--bcd-rating-border-radius);margin:0 var(--bcd-rating-margin-left) 0 var(--bcd-rating-margin-left)}.portion-full{background-color:var(--bcd-rating-background-fill-color)}";

const BcdRating = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    getPortions() {
        let ret = [];
        for (let i = 0; i < this.max; i++) {
            const portionFull = i < this.rating;
            const classes = 'portion ' + (portionFull ? 'portion-full' : '');
            ret.push(index.h("div", { class: classes }));
        }
        return ret;
    }
    render() {
        return (index.h(index.Host, null, index.h("slot", null, this.getPortions())));
    }
};
BcdRating.style = bcdRatingCss;

exports.bcd_rating = BcdRating;
